/* mbed Microcontroller Library
 * Copyright (c) 2019 ARM Limited
 * SPDX-License-Identifier: Apache-2.0
 */

#if !MBED_TEST_MODE

#include "mbed.h"  // NOLINT
#include "mbed_trace.h"
#include "static_scheduling/bike_system.hpp"

// Blinking rate in milliseconds
#define BLINKING_RATE 500ms

#define TRACE_GROUP "MAIN"

int main() {
    // Initialise the digital pin LED1 as an output

    mbed_trace_init();
    // DigitalOut led(LED1);
    // tr_debug("Hello world");

    //    while (true) {
    //        led = !led;
    //        ThisThread::sleep_for(BLINKING_RATE);
    //        tr_debug("blink");
    //    }
    static_scheduling::BikeSystem bikeSystem;
    // bikeSystem.start();
    bikeSystem.startWithEventQueue();
}

#endif  // MBED_TEST_MODE
